part of cresce_ui;

class CDataPlaceholder extends StatelessWidget {
  final String text;
  final VoidCallback? onTap;

  const CDataPlaceholder({
    Key? key,
    required this.text,
    this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      onTap: onTap,
      size: const Size(180, 87),
      child: Center(
        child: CText(
          label: text,
          style: CTextStyles.captionSecondaryVar1,
        ),
      ),
    );
  }
}
